Skip to content

Get reservation history ​

GET
/v1/reservations/{reservation_id}/history

Get the history of a specific reservation based on reservation_id

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

reservation_id*

XS2event ID of the Reservation

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1

Responses​

OK

application/json
JSON
{
  
"history": [
  
  
{
  
  
  
"reservation_id": null,
  
  
  
"inactive_since": null,
  
  
  
"created": null,
  
  
  
"created_by": null,
  
  
  
"updated_by": null,
  
  
  
"reservation": {
  
  
  
  
"client_id": "34e7303056c84c74abe9d48a5fbf68aa_cln",
  
  
  
  
"reservation_id": "64dab4ad7b7a442389a71bc253de0a09_rsv",
  
  
  
  
"status": "active",
  
  
  
  
"notify_client": true,
  
  
  
  
"notes": "Example note.",
  
  
  
  
"valid_until": "2025-05-01T12:30:32",
  
  
  
  
"created": "2025-05-01T12:20:32",
  
  
  
  
"updated": "2025-05-01T12:20:32",
  
  
  
  
"parent_allocation_id": null,
  
  
  
  
"external_reference_id": "octo-order-12345",
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"ticket_id": "b30c5d2d019e4eeba8de2bdd96e93434_tck",
  
  
  
  
  
  
"quantity": 10,
  
  
  
  
  
  
"salesprice": 340000,
  
  
  
  
  
  
"net_rate": 340000,
  
  
  
  
  
  
"currency": "EUR",
  
  
  
  
  
  
"ticket_name": "Debenture seat",
  
  
  
  
  
  
"event_name": "4th Round (Men's & Ladies) - Centre Court - Day 8 - Wimbledon (2026)"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
}
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​